{extends file=$smarty.const.SMARTY_LAYOUT_MAIN_GENERAL_PAGINATED_LISTING}

{block name="js" append}
	<script type="text/javascript">
		MVC.scheduleOnLoad(function(){
			
			MVC.listing.prototype.deleteCurrentItemWithConfirmation = function(element){
				MVC.callbackWithConfirmation(
					"{$lang['delete']['title']}",
					"{$lang['delete']['confirmation']}",
					this.backend_callUpdateOperation.bind(this, 'delete', {
						'listing[selection][add][]':	this.getItemId(element),
						'listing[selection][clear]' :	'all'
					})
				);
			}
		});
	</script>
{/block}
